export async function POST(req: Request) {
  const body = await req.json();
  const email = body.email;

  const res = await fetch(
    `https://api.convertkit.com/v3/forms/${process.env.CONVERTKIT_FORM_ID}/subscribe`,
    {
      method: "POST",
      headers: {
        "Content-Type": "application/json; charset=utf-8",
      },
      body: JSON.stringify({
        api_secret: process.env.CONVERTKIT_API_KEY_SECRET,
        email,
      }),
    }
  );

  const data = await res.json();

  return Response.json(data);
}
