"use client";

import { AccordionProps } from "@/app/interfaces";

const Accordion = ({ title, content }: AccordionProps) => {
  return (
    <div className="collapse collapse-arrow bg-base-200 join-item">
      <input type="radio" name="nebula-news-accordion" />
      <h3 className="collapse-title">{title}</h3>
      <div className="collapse-content">{content}</div>
    </div>
  );
};

export const Faq = () => {
  return (
    <section className="space-y-4 py-12">
      <h2 className="text-center mb-8">Frequently Asked Question</h2>
      <div className="join join-vertical w-full">
        <Accordion title="Question A?" content={<p>Answer A.</p>} />
        <Accordion title="Question B?" content={<p>Answer B.</p>} />
        <Accordion title="Question C?" content={<p>Answer C.</p>} />
      </div>
    </section>
  );
};
