"use client";

import { Bars3Icon } from "@heroicons/react/24/outline";
import siteData from "@/app/site.config";
import Link from "next/link";

export const Navbar = () => {
  return (
    <header className="navbar bg-base-100 px-0">
      <div className="navbar-start">
        <div className="dropdown">
          <label tabIndex={0} className="lg:hidden">
            <Bars3Icon className="h-5 w-5 text-base-content" />
          </label>
          <ul
            tabIndex={0}
            className="menu menu-sm dropdown-content mt-3 z-[1] p-2 shadow bg-base-100 rounded-box w-max"
          >
            <li className="py-1">
              <Link href="#">Link A</Link>
            </li>
            <li className="py-1">
              <Link href="#">Link B</Link>
            </li>
          </ul>
        </div>
        <Link className="text-xl p-2 font-semibold" href="/">
          {siteData.siteName}
        </Link>
      </div>
      <div className="navbar-end hidden lg:flex">
        <ul className="menu menu-horizontal px-1">
          <li>
            <Link href="#">Link A</Link>
          </li>
          <li>
            <Link href="#">Link B</Link>
          </li>
        </ul>
      </div>
    </header>
  );
};
