import "./globals.css";
import { genPageMetadata } from "./utils";
import siteData from "./site.config";
import { Navbar, Footer } from "./components";

export const metadata = genPageMetadata({});

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang={siteData.lang} data-theme={siteData.theme}>
      <body className="max-w-5xl px-8 m-auto">
        <Navbar />
        {children}
        <Footer />
      </body>
    </html>
  );
}
