import { MetadataRoute } from "next";
import siteData from "./site.config";

export default function sitemap(): MetadataRoute.Sitemap {
  const siteUrl = siteData.url;
  const pages = ["", ...siteData.sitemapPages];
  const routes = pages.map((route) => ({
    url: `${siteUrl}/${route}`,
    lastModified: new Date().toISOString().split("T")[0],
  }));

  return [...routes];
}
